<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 */
 
global $SMTheme;
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	

	
		
	<?php if ( has_post_thumbnail()) { ?>
	<div class="fimage">
		<div class="entry-meta has_thumbnail">
			
			<div class="post-author"><img src="<?php echo get_template_directory_uri(); ?>/images/author.png"><span class="text_author"><?php echo get_the_author(); ?></span></div>		
			
			<div class="comment"><img src="<?php echo get_template_directory_uri(); ?>/images/comments.png" /><span class='post-comments'><?php comments_popup_link( $SMTheme->_( 'noresponses' ), $SMTheme->_( 'oneresponse' ), $SMTheme->_( 'multiresponse' ) ); ?></span></div>	
			
			<div class="date_container"><img src="<?php echo get_template_directory_uri(); ?>/images/date.png" /><span class='post-date'><?php echo get_the_date('M d,').'<span class="post-date-year">'.get_the_date( 'Y' ).'</span>'; ?></span></div>
		
		</div>
		
		<!-- ========== Post Featured Image ========== -->
		<?php the_post_thumbnail(
					array(590, 332),
					array("class" => "featured_image")
		); ?>
		<!-- ========== Post Meta ========== -->
	</div>
	<?php } ?>
	
	
	<!-- ========== Post Title ========== -->
	<?php  //Title
		if (!is_single()&&!is_page()) { ?>
			<h2 class='entry-title'><a href="<?php the_permalink(); ?>" title="<?php printf( $SMTheme->_( 'permalink' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a></h2>
		<?php } else { ?>
			<h1 class='entry-title'><?php the_title(); ?></h1>
	<?php } ?>
	
	
	
	<!-- ========== Post content  ========== -->
	<?php if ( !is_single() ) : ?>
		
		<!-- ========== Post content in posts feed ========== -->
		<div class="entry-summary">
		
			<?php smtheme_excerpt('echo=1');?>
	
			
			
		</div><!-- .entry-summary -->
	
	<?php else : ?>
	
		<!-- ========== Post content in single post page ========== -->
		<div class="entry-content">
		
			<?php
				the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'letheme' ) );
				wp_link_pages( array(	
					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'letheme' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
				) );
			?>
		</div><!-- .entry-content -->
		
	<?php endif; ?>
	<?php if ( !has_post_thumbnail()) { ?>
	<div class="entry-meta no_thumbnail">
		
		<div class="post-author"><img src="<?php echo get_template_directory_uri(); ?>/images/author.png"><span class="text_author"><?php echo get_the_author(); ?></span></div>		
		
		<div class="comment"><img src="<?php echo get_template_directory_uri(); ?>/images/comments.png" /><span class='post-comments'><?php comments_popup_link( $SMTheme->_( 'noresponses' ), $SMTheme->_( 'oneresponse' ), $SMTheme->_( 'multiresponse' ) ); ?></span></div>	
		
		<div class="date_container"><img src="<?php echo get_template_directory_uri(); ?>/images/date.png" /><span class='post-date'><?php echo get_the_date('M d,').'<span class="post-date-year">'.get_the_date( 'Y' ).'</span>'; ?></span></div>
	
	</div>
	<?php } ?>
		<div class="categories">	
			
			<img src="<?php echo get_template_directory_uri(); ?>/images/categories.png" />
			<?php the_category(' , '); 
				
				if(comments_open( get_the_ID() ))  {
                    ?> 
				<?php } 
				
				?>
		</div>		
	
	<?php if ( !is_single() ) : ?>
		<a href='<?php the_permalink(); ?>' class='readmore'><?php echo $SMTheme->_( 'readmore' ); ?></a>
	<?php endif; ?>
	
	<div class="clear"></div>
</article><!-- #post-## -->
